<!DOCTYPE html>
<html>
<head>
    <title>Git Harvest Options</title>
    <style>
        body {
            padding: 10px;
        }

        .container {
            max-width: 400px;
        }

        #status {
            color: white;
            padding: 10px;
            margin-top: 20px;
        }

        .success {
            background-color: #14a000;
        }

        .error {
            background-color: red;
        }

        .title {
            font-size: 16px;
            padding-top: 20px;
        }

        table {
            width: 100%;
            padding: 0;
            border: 0;
        }

        th {
            text-align: left;
            padding-top: 10px;
            font-weight: normal;
        }

        input {
            width: 100%;
            min-height: 30px;
        }

        button {
            min-height: 30px;
            font-size: 12px;
            background-color: Transparent;
            border-radius: 0;
            border: 0px solid grey;
        }

        td {
            padding-left: 0;
            margin-left: 0;
        }

        .green {
            background: linear-gradient(#4fb840, #14a000);
            font-weight: bold;
            color: white;
        }

        .grey {
            background: linear-gradient(#f4f4f4, #e4e4e4);
            font-weight: bold;
            color: grey;
            box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.2);
        }

        #save {
            text-align: center;
            margin-top: 20px;
        }

        .description {
            color: grey;
            font-size: 12px;
            margin-top: 4px;
            margin-bottom: 2px;
        }

        .hidden {
            visibility: hidden;
        }
    </style>
</head>

<body>
<div class="show_widget container">
    <label class="title" for="show_widget">
        Show widget:
    </label>
    <select id="show_widget">
        <option value="yes">Yes</option>
        <option value="no">No</option>
    </select>
    <div class="description">
        Show the full widget or only an icon which loads the widget in your gitlab/github issue.
    </div>
</div>
<div class="mvw container">
    <div class="title">
        Hosts:
    </div>
    <div class="description">
        If you host your own gitlab installation add your host here.
    </div>
    <table class="mvw__table" id="hosts">

    </table>
    <button data-mvw-add-row="hosts" class="green">Add host</button>
</div>
<div class="mvw container">
    <div class="title">
        Projects mapping:
    </div>
    <div class="description">
        Map your gitlab/github url to your Harvest ID. This helps to autoselect the right project in your Harvest
        widget.
    </div>
    <table class="mvw__table" id="projects">
        <tr>
            <th>git url</th>
            <th>Harvest ID</th>
        </tr>
    </table>
    <button data-mvw-add-row="projects" class="green">Add mapping</button>
</div>

<div id="status" class="hidden container">Hidden</div>

<button id="save" class="green container">Save</button>

<script src="scripts/mvw.js"></script>
<script src="scripts/options.js"></script>

</body>
</html>
